      PROGRAM probleme
      implicit none
      real x
      integer i
      x=1.
      print*,'x=',x
      call pas_bien(x)
      do i=1,10
         call pas_bien_non_plus
      enddo
      end PROGRAM probleme

      SUBROUTINE pas_bien(x)
      implicit none
      integer x
      print*,'x=',x
      return
      end SUBROUTINE pas_bien

      SUBROUTINE pas_bien_non_plus
      real :: y=0.
      y=y+1
      print*,y
      return
      end SUBROUTINE pas_bien_non_plus
